<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<meta name="viewport" content="width=device-width, initial-scale=1">
	<title>Science and Engineering Ethics (2001) 7, 231-238</title>
</head>
<body>

	<p><em>Science and Engineering Ethics (2001) 7, 231-238</em></p>

	<!-- Create a Horizontal rule -->
	<hr>

	<!-- Heading Tags -->
	<h1>Software Engineering Code of Ethics and<br>Professional Practice</h1>

	<!-- Create a smaller Heading Tag -->
	<h3>IEEE-CS/ACM Joint Task Force on Software Engineering Ethics and Professional<br>Practices</h3>

	<!-- Create a horizontal rule -->
	<hr>

	<!-- Create a paragraph -->
	<p><strong>Keywords:</strong> code of ethics, professional responsibility, software engineering</p>

	<!-- Create a paragraph -->
	<p><strong>PREAMBLE</strong></p>

	<p>The short version of the code summarizes aspirations at a high level of abstraction. The clauses that<br>are included in the full version give examples and details of these aspirations change the way we<br>act as software engineering professionals. Without the aspirations, the details become legalistic<br>and tedious; without the details, the aspirations can become high-sounding but empty; together, the<br>aspirations and the details form a cohesive code.</p>

	<p>Sofware engineers shall commit themselves to making the analysis, specification, design,<br>development, testings and maintenance of software a beneficial and respected profession. In<br>accordance with their commitment to the health, safety, and welfare of the public, software engineers<br>shall adhere to the following eight Principles:</p>

	<p><strong>PRINCIPLES</strong></p>

		<p>
			<ol>
				<li><em>Public,</em> Software engineers shall act consistently with the public interest.</li>
				<li><em>Client and Employer,</em>Software engineers shall actin a manner that is in best interests of their<br>client and employer, consistent with the public interest.</li>
				<li><em>Product,</em> Software engineers shall ensure that their products and related modifications meet the<br>highest professional standards possible.</li>
				<li><em>Judgement,</em> Software engineers shall maintain integrity and independennce.</li>
				<li><em>Management,</em> Software engineering managers and leaders shall subscribe to and promote an<br>ethical approach to the management of software development and maintenance.</li>
				<li><em>Profession,</em> Software engineers shall advance the integrity and reputation of the profession<br>consistent with the public interest.</li>
				<li><em>Colleages,</em> Software engineers shall be fair to and supportive of their colleages.</li>
				<li><em>Self,</em> Software engineers shall participate in lifelong learning regarding the practice of their<br>professional and shall promote an ethical approach to the practice of the profession.</li>
			</ol>
		</p>



	<!-- Create a Heading tag -->
		<h1>Code of Ethics of the Filipino Computing<br>and Information Technology Professional</h1>

		<!-- Create a paragraph -->
			<p>For the purpose of this Code, the following terms are defined as follows.</p>

			<p><strong>Information Technology</strong></p>

			<p>The preparation, collection, creation, transport, retrieval, storage, access, presentation and<br> transformation of the electronic information in all its forms inclucing, but not limited to, voice,<br> graphics, text, video, data and image.</p>

			<p><strong>Information Technology Professional</strong></p>

			<p>One who develops or provides information technology products and/or services to the<br>public.</p>

			<p><strong>Preamble</strong></p>

			<p>I will use my special knowledge and skills for the benefit of the public. I will serve<br>employers and clients with integrity, subject to an overriding responsibility to the public<br>interest, and I will strive to enhance the competence and the prestige of the professional. By<br>these, I mean:</p>

			<!-- Create Order List -->
				<ul>
					<li>I will <strong>promote public knowledge, understanding and appreciation</strong> of information<br>technology;</li>
					<li>I will <strong>consider the general welfare and public good</strong> in the performance of my work;</li>
					<li>I will advertise goods or professional services in a <strong>clear and truthful manner;</strong></li>
					<li>I will <strong>comply and strictly abide by the intellectual property laws, patient laws and<br>other related laws</strong> in respect of information technology;</li>
					<li>I will <strong>accept full responsibility for the work undertaken</strong>and will utilize my skills<br>with <strong>competence and professionalism;</strong></li>
					<li>I will make <strong>truthful statements</strong> on my areas of competenceas well as the<br>capabilities and qualities of my products and services;</li>
					<li>I will not <strong>disclose or use any confidential information obtained</strong> in the course of<br>professional duties <strong>without the consent of the parties</strong> concerned, <strong>except when<br>requiredy by law</strong>;</li>
					<li>I will <strong>try to attain the highest quality</strong> in both products and services I offer;</li>
					<li>I will <strong>not knowingly participate</strong> in the development of the Information Technology<br>Systems that will promote the <strong>commission of fraud and other unlawful acts</strong>;</li>
					<li>I will <strong>uphold and improve </strong>the IT Professional standards through <strong>continuing<br>professional development</strong> in order to enhance the IT profession.</li>

				</ul>
</body>
</html>